## ffc 0.9.2

=== doc/manual/Makefile ===
FILENAME='ffc-user-manual'

all:
	latex $(FILENAME).tex

final:
	latex $(FILENAME).tex
	makeindex $(FILENAME)
	bibtex $(FILENAME)
	latex $(FILENAME)
	dvips -P pdf -o $(FILENAME).ps $(FILENAME).dvi
	ps2pdf $(FILENAME).ps $(FILENAME).pdf

## ffc 0.9.3

=== debian/changelog ===
ffc (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Minor fix in Vcs fields.
    - Bump Standards-Version to 3.9.0 (no changes needed).
    - Update version for python-ufc, python-fiat, and python-ufl in
      Depends field.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/copyright and debian/copyright_hints.

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Jul 2010 19:54:32 +0200

ffc (0.9.2-3) unstable; urgency=low

  * debian/control: Add python-dolfin to Suggests (closes: #581897).

 -- Johannes Ring <johannr@simula.no>  Wed, 19 May 2010 13:06:27 +0200

ffc (0.9.2-2) unstable; urgency=low

  * Package moved from pkg-scicomp to Debian Science.
  * debian/control: Update version dependencies in Depends field.

 -- Johannes Ring <johannr@simula.no>  Wed, 28 Apr 2010 10:33:56 +0200

ffc (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Wed, 17 Feb 2010 18:05:07 +0100

ffc (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright and debian/copyright_hints.

 -- Johannes Ring <johannr@simula.no>  Tue, 16 Feb 2010 11:52:36 +0100

ffc (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version (no changes needed).
  * Update debian/copyright and debian/copyright_hints.

 -- Johannes Ring <johannr@simula.no>  Wed, 03 Feb 2010 20:22:35 +0100

ffc (0.7.1-1) unstable; urgency=low

  * New upstream release. This version adds support for automatic
    selection of degree and shape of coefficient elements when not
    specified.
  * debian/watch: Update download URL.
  * debian/copyright: Add new files and update Maintainer and Source
    fields.
  * Add debian/doc-base for user manual.

 -- Johannes Ring <johannr@simula.no>  Tue, 08 Dec 2009 10:28:10 +0100

ffc (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #502980)

 -- Johannes Ring <johannr@simula.no>  Fri, 25 Sep 2009 09:41:39 +0200

=== debian/control ===
Source: ffc
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all, 
 python-central (>= 0.6.0)
Standards-Version: 3.9.0
XS-Python-Version: >= 2.5
Homepage: http://www.fenics.org/wiki/FFC
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ffc/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ffc/trunk/

Package: python-ffc
Architecture: all
XB-Python-Version: ${python:Versions}
Replaces: ffc
Provides: ffc
Conflicts: ffc
Depends: python-ufc (>= 1.4.1-1), python-fiat (>= 0.9.2-1),
 python-instant (>= 0.9.8-1), python-ufl (>= 0.5.3-1), ${python:Depends},
 ${misc:Depends}
Suggests: python-ferari, python-dolfin
Description: compiler for finite element variational forms
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and efficient
 evaluation of general multilinear forms (variational formulations) for FEniCS.
 FFC functions as the form evaluation system for DOLFIN but can also be used to
 compile forms for other systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C or C++) 
 for the evaluation of a multilinear form given in mathematical notation. This
 new approach to form evaluation makes it possible to combine generality with
 efficiency; the form can be given in mathematical notation and the generated
 code is as efficient as hand-optimized code.

## ffc 0.9.9

=== debian/changelog ===
ffc (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Remove old field Conflicts, Provides, and Replaces from
    debian/control.
  * Update dependencies on python-ufc, python-fiat, python-instant, and
    python-ufl in debian/control.
  * Remove user manual from debian/docs as this was removed in
    upstream tarball. Also remove debian/doc-base.
  * Update Homepage field in debian/control and Maintainer field in
    debian/copyright.

 -- Johannes Ring <johannr@simula.no>  Wed, 23 Feb 2011 23:51:37 +0100

ffc (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Thu, 02 Sep 2010 11:50:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all, 
  python-central (>= 0.6.0)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
-Homepage: http://www.fenics.org/wiki/FFC
+Homepage: http://www.fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ffc/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ffc/trunk/
@@ -15,11 +15,8 @@
 Package: python-ffc
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Replaces: ffc
-Provides: ffc
-Conflicts: ffc
-Depends: python-ufc (>= 1.4.1-1), python-fiat (>= 0.9.2-1),
- python-instant (>= 0.9.8-1), python-ufl (>= 0.5.3-1), ${python:Depends},
+Depends: python-ufc (>= 2.0.0), python-fiat (>= 0.9.9),
+ python-instant (>= 0.9.9), python-ufl (>= 0.9.0), ${python:Depends},
  ${misc:Depends}
 Suggests: python-ferari, python-dolfin
 Description: compiler for finite element variational forms

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pycentral

ifneq (,$(DEB_MAINTAINER_MODE))
  # Enable stuff not policy compliant (eg. unsuitable for build daemons)
  DEB_COPYRIGHT_CHECK_STRICT = yes
endif

include debian/cdbs/1/rules/copyright-check.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE := .py .pdf .form

USCAN_DESTDIR := $(CURDIR)

get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## ffc 0.9.10

=== debian/changelog ===
ffc (0.9.10-2) unstable; urgency=low

  * Add patch for removing annoying debug output (closes: #627297).
  * debian/control: Bump minimum required version for python-ufc,
    python-instant and python-ufl in Depends.

 -- Johannes Ring <johannr@simula.no>  Thu, 19 May 2011 13:42:30 +0200

ffc (0.9.10-1) unstable; urgency=low

  * New upstream release. This release introduces some new features and
    some behind-the-scenes improvements. Special quadrature schemes for
    simplices have been added, which will lead to improved performance
    when using the quadrature representation for low-order forms.
  * Move from python-central to dh_python2 (closes: #616807).
    - Remove python-central from Build-Depends.
    - Bump minimum required python-all package version to 2.6.6-3~.
    - Remove XB-Python-Version line.
    - Bump minimum required cdbs version to 0.4.90~.
    - Remove DEB_PYTHON_SYSTEM=pycentral from debian/rules.
    - Replace XS-Python-Version with X-Python-Version.
  * debian/rules:
    - Avoid compressing files with .ufl extension.
    - Use DEB_COMPRESS_EXCLUDE_ALL instead of deprecated
      DEB_COMPRESS_EXCLUDE.
    - Include cdbs utils.mk rule for automated copyright checks.
  * Remove old custom cdbs rules and licensecheck script for copyright
    check.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * debian/copyright:
    - Update for upstream license change to LGPLv3.
    - Switch to DEP-5 format.

 -- Johannes Ring <johannr@simula.no>  Wed, 18 May 2011 11:22:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all, 
- python-central (>= 0.6.0)
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Homepage: http://www.fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ffc/trunk
@@ -14,9 +13,8 @@
 
 Package: python-ffc
 Architecture: all
-XB-Python-Version: ${python:Versions}
-Depends: python-ufc (>= 2.0.0), python-fiat (>= 0.9.9),
- python-instant (>= 0.9.9), python-ufl (>= 0.9.0), ${python:Depends},
+Depends: python-ufc (>= 2.0.1), python-fiat (>= 0.9.9),
+ python-instant (>= 0.9.10), python-ufl (>= 0.9.1), ${python:Depends},
  ${misc:Depends}
 Suggests: python-ferari, python-dolfin
 Description: compiler for finite element variational forms

## ffc 1.0-beta

=== debian/changelog ===
ffc (1.0-beta-1) unstable; urgency=low

  * New upstream release.
  * Remove patch (applied upstream).

 -- Johannes Ring <johannr@simula.no>  Mon, 15 Aug 2011 17:12:10 +0200

## ffc 1.0-beta2

=== debian/changelog ===
ffc (1.0-beta2-1) unstable; urgency=low

  * New upstream release. This release includes some performance
    improvements for evaluating basis functions. It also adds support
    for Bessel functions and error functions.
  * debian/control: Bump version numbers for python-ufc, python-fiat,
    python-instant, and python-ufl.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Oct 2011 17:52:20 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 Package: python-ffc
 Architecture: all
-Depends: python-ufc (>= 2.0.1), python-fiat (>= 0.9.9),
- python-instant (>= 0.9.10), python-ufl (>= 0.9.1), ${python:Depends},
+Depends: python-ufc (>= 2.0.3), python-fiat (>= 1.0-beta),
+ python-instant (>= 1.0-beta), python-ufl (>= 1.0-beat2), ${python:Depends},
  ${misc:Depends}
 Suggests: python-ferari, python-dolfin
 Description: compiler for finite element variational forms

## ffc 1.0-rc1

=== debian/changelog ===
ffc (1.0-rc1-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Tue, 29 Nov 2011 11:38:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
-Homepage: http://www.fenicsproject.org
+Homepage: http://fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ffc/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ffc/trunk/

## ffc 1.0.0

=== debian/changelog ===
ffc (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump version numbers for python-ufc, python-fiat,
    python-instant and python-ufl in Depends field.

 -- Johannes Ring <johannr@simula.no>  Wed, 07 Dec 2011 15:45:54 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 Package: python-ffc
 Architecture: all
-Depends: python-ufc (>= 2.0.3), python-fiat (>= 1.0-beta),
- python-instant (>= 1.0-beta), python-ufl (>= 1.0-beat2), ${python:Depends},
+Depends: python-ufc (>= 2.0.5), python-fiat (>= 1.0.0),
+ python-instant (>= 1.0.0), python-ufl (>= 1.0.0), ${python:Depends},
  ${misc:Depends}
 Suggests: python-ferari, python-dolfin
 Description: compiler for finite element variational forms

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(DEB_MAINTAINER_MODE))
  # Enable stuff not policy compliant (eg. unsuitable for build daemons)
  DEB_COPYRIGHT_CHECK_STRICT = yes
endif

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_COMPRESS_EXCLUDE := .py .pdf .ufl

USCAN_DESTDIR := $(CURDIR)

get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

=== debian/watch ===
version=3
http://launchpad.net/ffc/+download http://launchpad.net/ffc/.*/ffc-(.*)\.tar\.gz

## ffc 1.2.0

=== debian/changelog ===
ffc (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump required version for python-ufc, python-fiat, python-instant
      and python-ufl in Depends field.
    - Bump Standards-Version to 3.9.4.
    - Remove DM-Upload-Allowed field.
    - Bump required debhelper version in Build-Depends.
    - Remove cdbs from Build-Depends.
    - Use canonical URIs for Vcs-* fields.
  * debian/compat: Bump to compatibility level 9.
  * debian/rules: Rewrite for debhelper (drop cdbs).

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 14:48:32 +0200

ffc (1.1.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/control: Bump version numbers for python-ufc, python-fiat,
    python-instant and python-ufl in Depends field.
  * debian/watch: Replace http with https in URL.

 -- Johannes Ring <johannr@simula.no>  Thu, 10 Jan 2013	10:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Homepage: http://fenicsproject.org
-DM-Upload-Allowed: yes
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ffc/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ffc/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/ffc/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/ffc/trunk/
 
 Package: python-ffc
 Architecture: all
-Depends: python-ufc (>= 2.0.5), python-fiat (>= 1.0.0),
- python-instant (>= 1.0.0), python-ufl (>= 1.0.0), ${python:Depends},
+Depends: python-ufc (>= 2.2.0), python-fiat (>= 1.1),
+ python-instant (>= 1.2.0), python-ufl (>= 1.2.0), ${python:Depends},
  ${misc:Depends}
 Suggests: python-ferari, python-dolfin
 Description: compiler for finite element variational forms

=== debian/rules ===
#!/usr/bin/make -f

USCAN_DESTDIR := $(CURDIR)

%:
	dh $@ --with python2

override_dh_compress:
	dh_compress -X.py -X.pdf -X.ufl

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

=== debian/watch ===
version=3
https://launchpad.net/ffc/+download https://launchpad.net/ffc/.*/ffc-(.*)\.tar\.gz

## ffc 1.3.0

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FFC.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FFC.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FFC"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FFC"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ffc (1.3.0-2) unstable; urgency=medium

  * Bump minimum required version for python-ufc to 2.3.0 and
    python-fiat, python-instant and python-ufl to 1.3.0.

 -- Johannes Ring <johannr@simula.no>  Fri, 10 Jan 2014 14:04:17 +0100

ffc (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Update URL for move to Bitbucket.
  * debian/docs: README -> README.rst and remove TODO.
  * debian/control:
    - Add python-numpy to Build-Depends.
    - Replace python-all with python-all-dev in Build-Depends.
    - Add ${shlibs:Depends} to Depends.
    - Change to Architecture: any.
    - Bump Standards-Version to 3.9.5 (no changes needed).
  * debian/rules: Call dh_numpy in override_dh_python2.

 -- Johannes Ring <johannr@simula.no>  Fri, 10 Jan 2014 13:56:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), python-numpy
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 Homepage: http://fenicsproject.org
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/ffc/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/ffc/trunk/
 
 Package: python-ffc
-Architecture: all
-Depends: python-ufc (>= 2.2.0), python-fiat (>= 1.1),
- python-instant (>= 1.2.0), python-ufl (>= 1.2.0), ${python:Depends},
- ${misc:Depends}
+Architecture: any
+Depends: python-ufc (>= 2.3.0), python-fiat (>= 1.3.0),
+ python-instant (>= 1.3.0), python-ufl (>= 1.3.0), ${python:Depends},
+ ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-ferari, python-dolfin
 Description: compiler for finite element variational forms
  The FEniCS Form Compiler FFC provides state-of-the-art automatic and efficient

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 %:
 	dh $@ --with python2
 
+override_dh_python2:
+	dh_numpy
+	dh_python2
+
 override_dh_compress:
 	dh_compress -X.py -X.pdf -X.ufl

## ffc 1.4.0

=== debian/changelog ===
ffc (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add swig in Build-Depends.
    - Remove python-ufc from Depends.
    - Add ufc and python-ufc to Provides, Conflicts and Replaces.
    - Remove python-ferari and python-dolfin from Suggests.
    - Bump minimum required version for python-fiat, python-instant and
      python-ufl to 1.4.0.
  * debian/rules: Add override for auto clean target to remove generated
    cmake and pkg-config files.

 -- Johannes Ring <johannr@simula.no>  Tue, 03 Jun 2014 18:26:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), python-numpy
+Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), python-numpy, swig
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 Homepage: http://fenicsproject.org
@@ -12,10 +12,15 @@
 
 Package: python-ffc
 Architecture: any
-Depends: python-ufc (>= 2.3.0), python-fiat (>= 1.3.0),
- python-instant (>= 1.3.0), python-ufl (>= 1.3.0), ${python:Depends},
- ${shlibs:Depends}, ${misc:Depends}
-Suggests: python-ferari, python-dolfin
+Depends: python-fiat (>= 1.4.0),
+ python-instant (>= 1.4.0),
+ python-ufl (>= 1.4.0),
+ ${python:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Provides: ufc, python-ufc
+Conflicts: ufc, python-ufc
+Replaces: ufc, python-ufc
 Description: compiler for finite element variational forms
  The FEniCS Form Compiler FFC provides state-of-the-art automatic and efficient
  evaluation of general multilinear forms (variational formulations) for FEniCS.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,12 @@
 override_dh_compress:
 	dh_compress -X.py -X.pdf -X.ufl
 
+override_dh_auto_clean:
+	rm -f cmake/templates/UFCConfig.cmake
+	rm -f cmake/templates/UFCConfigVersion.cmake
+	rm -f cmake/templates/UseUFC.cmake
+	rm -f cmake/templates/ufc-1.pc
+
 .PHONY: get-orig-source
 get-orig-source:
 	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

=== debian/watch ===
version=3
https://bitbucket.org/fenics-project/ffc/downloads/ffc-(.*)\.tar\.gz

## ffc 1.5.0

=== debian/changelog ===
ffc (1.5.0-3) unstable; urgency=medium

  * Add patch for fixing broken UFCConfig.cmake (closes: #782317).

 -- Johannes Ring <johannr@simula.no>  Fri, 10 Apr 2015 12:57:50 +0200

ffc (1.5.0-2) unstable; urgency=medium

  * debian/rules: Remove bad directives in pkg-config file ufc-1.pc to
    keep lintian happy.

 -- Johannes Ring <johannr@simula.no>  Tue, 13 Jan 2015 09:18:41 +0100

ffc (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Bump X-Python-Version to >= 2.7.
    - Bump minimum required version for python-fiat, python-instant and
      python-ufl to 1.5.0.
    - Add python-numpy and python-six to Depends field.
    - Bump python-all-dev in Build-Depends to >= 2.7.

 -- Johannes Ring <johannr@simula.no>  Mon, 12 Jan 2015 21:08:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), python-numpy, swig
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.5
+Build-Depends: debhelper (>= 9), python-all-dev (>= 2.7), python-numpy, swig
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
 Homepage: http://fenicsproject.org
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/ffc/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/ffc/trunk/
 
 Package: python-ffc
 Architecture: any
-Depends: python-fiat (>= 1.4.0),
- python-instant (>= 1.4.0),
- python-ufl (>= 1.4.0),
+Depends: python-fiat (>= 1.5.0),
+ python-instant (>= 1.5.0),
+ python-ufl (>= 1.5.0),
+ python-numpy,
+ python-six,
  ${python:Depends},
  ${shlibs:Depends},
  ${misc:Depends}

## ffc 1.6.0

=== ufc_benchmark/Makefile ===
#
# An overly complicated makefile for compiling a swig module.
#

MODULENAME=ufc_benchmark

CXX=g++

ufcinclude=-I../../../ufc

# Python location and version
PYTHONROOT:=$(shell python -c 'import sys; print sys.prefix')
PYTHONVER:=$(shell python -c 'import sys; print sys.version[:3]')


all: _$(MODULENAME).so
	echo Done.

# link module
_$(MODULENAME).so: $(MODULENAME)_wrap.o $(MODULENAME).o
	$(CXX) -shared -o _$(MODULENAME).so $(MODULENAME)_wrap.o $(MODULENAME).o

# compile wrapper
$(MODULENAME)_wrap.o: $(MODULENAME)_wrap.cxx
	$(CXX) -I$(PYTHONROOT)/include/python$(PYTHONVER) -o $@ -c $<

# generate wrapper
$(MODULENAME)_wrap.cxx: $(MODULENAME).i $(MODULENAME).h
	swig -c++ -python $(ufcinclude) $(MODULENAME).i

# compile module code
$(MODULENAME).o: *.h *.cpp
	$(CXX) -c -o $(MODULENAME).o $(MODULENAME).cpp

clean:
	rm -f $(MODULENAME).o
	rm -f $(MODULENAME).py
	rm -f $(MODULENAME).pyc
	rm -f _$(MODULENAME).so
	rm -f $(MODULENAME)_wrap.cxx
	rm -f $(MODULENAME)_wrap.o
	rm -rf build

=== debian/changelog ===
ffc (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Johannes Ring <johannr@simula.no>  Fri, 30 Oct 2015 09:57:33 +0100

ffc (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump minimum required version for python-fiat, python-instant and
      python-ufl to 1.6.0.
    - Replace swig with swig3.0 (>= 3.0.3) in Build-Depends.

 -- Johannes Ring <johannr@simula.no>  Tue, 27 Oct 2015 12:07:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.7), python-numpy, swig
+Build-Depends: debhelper (>= 9), python-all-dev (>= 2.7), python-numpy, swig3.0 (>= 3.0.3)
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://fenicsproject.org
@@ -12,9 +12,9 @@
 
 Package: python-ffc
 Architecture: any
-Depends: python-fiat (>= 1.5.0),
- python-instant (>= 1.5.0),
- python-ufl (>= 1.5.0),
+Depends: python-fiat (>= 1.6.0),
+ python-instant (>= 1.6.0),
+ python-ufl (>= 1.6.0),
  python-numpy,
  python-six,
  ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,14 @@
 	rm -f cmake/templates/UseUFC.cmake
 	rm -f cmake/templates/ufc-1.pc
 
+override_dh_auto_install:
+	dh_auto_install
+	sed -i "s/-Werror=format-security//g" $(CURDIR)/debian/python-ffc/usr/lib/pkgconfig/ufc-1.pc
+	sed -i "s/-g//g" $(CURDIR)/debian/python-ffc/usr/lib/pkgconfig/ufc-1.pc
+	sed -i "s/-O2//g" $(CURDIR)/debian/python-ffc/usr/lib/pkgconfig/ufc-1.pc
+	sed -i "s/-Wformat//g" $(CURDIR)/debian/python-ffc/usr/lib/pkgconfig/ufc-1.pc
+	sed -i "s|-I/usr/local/include||g" $(CURDIR)/debian/python-ffc/usr/lib/pkgconfig/ufc-1.pc
+
 .PHONY: get-orig-source
 get-orig-source:
 	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## ffc 2.0

=== Makefile ===
# Makefile for FFC (installer)
#
#  2000/10/31 S.Takehiro
#
include ./Mkinclude

install:: install-bin install-lib install-man install-doc

install-bin:
	echo "Linking binary files"
	@for i in $(BINFILES) ; do \
		echo ln -s $$i $(DESTDIR)$${i//FFC\//} ; \
	done

install-lib:
	echo "Linking library files"
	@for i in $(LIBFILES) ; do \
		echo ln -s $$i $(DESTDIR)$${i//FFC\//} ; \
	done

install-man:
	echo "Linking man files"
	@for i in $(MANFILES) ; do \
		echo ln -s $$i $(DESTDIR)$${i//FFC/share} ; \
	done

install-doc:
	echo "Linking doc files"
	if [ ! -f /usr/share/doc/ffc ]; then
		mkdir /usr/share/doc/ffc
		ln -s /usr/FFC/manual/japanese /usr/share/doc/ffc/japanese
	fi

uninstall:: uninstall-bin uninstall-lib uninstall-man uninstall-doc

uninstall-bin:
	echo "Uninstall binary files"
	@for i in $(BINFILES) ; do \
		echo $(RM) $(DESTDIR)$${i//FFC\//} ; \
	done

uninstall-lib:
	echo "Uninstall library files"
	@for i in $(LIBFILES) ; do \
		echo $(RM) $(DESTDIR)$${i//FFC\//} ; \
	done

uninstall-man:
	echo "Uninstall man files"
	@for i in $(MANFILES) ; do \
		echo $(RM) $(DESTDIR)$${i//FFC/share} ; \
	done

uninstall-doc:
	echo "Uninstall doc files"
	echo $(RM) /usr/share/doc/ffc/japanese
	rmdir /usr/share/doc/ffc

clean:
	$(RM) *~

## ffc 4.0-1

=== Makefile ===
# Makefile for Fujitsu Fortran ver.3 postinstall procedure
#
# 2002/05/04 S.Takehiro
#
#  This makefile links executables, library files, and manuals 
#  to the oridinal desitination of the Debian/GNU Linux system. 
# 
#  Procedure
#    1. Install the intel-ifc rpm file by converting deb with alien.
#    2. Check src directories and install destinaton below.
#    3. Execute "make check" to avoid overwriting existing files.
#    4. Execute "make install"
#    5. Execute "make install-doc" if you want to make Debian document directory
#
#  Src directories
#
SRCDIR=/usr/FFC
BINSRC=$(SRCDIR)/bin
LIBSRC=$(SRCDIR)/lib
MANSRC=$(SRCDIR)/man
DOCSRC=$(SRCDIR)/manual

MANSUBDIRS=man1 man3 ja/man1 ja/man3
#
#  Install Destination
#
#DESTDIR=./debian/tmp
DESTDIR=
#
DESTBIN=$(DESTDIR)/usr/bin
DESTLIB=$(DESTDIR)/usr/lib
DESTMAN=$(DESTDIR)/usr/share/man
DESTDOC=$(DESTDIR)/usr/share/doc/ffc
#
#  Do not change below
#
check::	check-bin check-lib check-man check-doc

check-bin:
	@echo "Checking binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		if [ -e $(DESTBIN)/$$i ] ; then \
		    echo "$(DESTBIN)/$$i already exists" ;\
		fi ;\
	    fi ;\
	done

check-lib:
	@echo "Checking library files"
	@for i in `ls $(LIBSRC)` ; do \
	    if [ -x $(LIBSRC)/$$i ]; then \
		if [ -e $(DESTLIB)/$$i ]; then \
		    echo "$(DESTLIB)/$${i} already exists" ; \
		fi ;\
	    fi ;\
	done

check-man:
	@echo "Checking man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		if [ -e $(DESTMAN)/$$j/$$i ]; then \
		    echo "$(DESTMAN)/$$j/$$i already exists"; \
		fi ;\
	     done; \
	done

check-doc:
	@echo "Checking doc files"
	@if [ -e $(DESTDOC) ]; then \
		echo $(DESTDOC) already exists ;\
	fi


install:: install-bin install-lib install-man #install-doc 

install-bin:
	@echo "Linking binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		ln -s $(BINSRC)/$$i $(DESTBIN)/$${i}; \
	    fi ;\
	done

install-lib:
	@echo "Linking library files"
	@for i in `ls $(LIBSRC)` ; do \
	    if [ -x $(LIBSRC)/$$i ]; then \
		ln -s $(LIBSRC)/$$i $(DESTLIB)/$${i}; \
	    fi ;\
	done

install-man:
	@echo "Linking man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		ln -s $(MANSRC)/$$j/$$i $(DESTMAN)/$$j/$$i ; \
	     done; \
	done

install-doc:
	@echo "Linking doc files"
	if [ ! -d $(DESTDOC) ]; then \
		mkdir $(DESTDOC) ;\
	fi
	@for i in `ls $(DOCSRC)` ; do \
		ln -s $(DOCSRC)/$$i $(DESTDOC)/$$i ; \
	done

uninstall:: uninstall-bin uninstall-lib uninstall-man # uninstall-doc 

uninstall-bin:
	@echo "Uninstall binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		$(RM) $(DESTBIN)/$${i}; \
	    fi ;\
	done

uninstall-lib:
	@echo "Uninstall library files"
	@for i in `ls $(LIBSRC)` ; do \
	    if [ -x $(LIBSRC)/$$i ]; then \
		$(RM) $(DESTLIB)/$${i}; \
	    fi ;\
	done

uninstall-man:
	@echo "Uninstall man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		$(RM) $(DESTMAN)/$$j/$$i ; \
	     done; \
	done

uninstall-doc:
	@echo "Uninstall doc files"
	@for i in `ls $(DOCSRC)` ; do \
		$(RM) $(DESTDOC)/$$i ; \
	done
	rmdir $(DESTDOC)

clean:
	-$(RM) *~

=== debian/changelog ===
ffc (4.0-1) unstable; urgency=low

  * Initial release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue,  6 Jan 2004 16:08:47 +0900

ffc (3.0-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 01:44:47 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ffc
Section: devel
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Standards-Version: 3.2.1

Package: ffc
Architecture: any
Depends: ${shlibs:Depends}
Description: Fujitsu Fortran&C Compiler (installer)
 Installer for Fujitsu Fortran&C Compiler. This package produces symbolic 
 links of original files to a normal debian directories, such as /usr/bin, 
 /usr/lib, /usr/share/man and /usr/share/doc. You should install FFC 
 package to a normal directory (/usr/FFC) before installing this packages.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=ffc
#package=ffcpara

build:
	cp debian/control.$(package) debian/control
	cp debian/dirs.$(package) debian/dirs
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	$(MAKE) install-doc DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## ffc 5.0-1

=== debian/changelog ===
ffc (5.0-1) unstable; urgency=low

  * Initial release.  

 -- ODAKA Masatsugu <odakkergfd-dennou.org>  Fri,  8 Apr 2005 16:26:37 +0900

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #package=ffcpara
 
 build:
+	cp debian/changelog.$(package) debian/changelog
 	cp debian/control.$(package) debian/control
 	cp debian/dirs.$(package) debian/dirs
 	$(checkdir)

## ffc 5.0-3

=== debian/changelog ===
ffc (5.0-3) unstable; urgency=low

  * add postinst, postrm
    * if man-db is installed, update man-db

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Sun, 21 Oct 2007 07:18:26 +0900

ffcpara (5.0-2) unstable; urgency=low

  *  New release for etch

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Tue, 16 Oct 2007 22:05:29 +0900

ffcpara (5.0-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Fri,  8 Apr 2005 16:16:37 +0900

ffcpara (4.0-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue,  6 Jan 2004 18:28:12 +0900

ffcpara (3.0-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 01:44:47 +0900

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

EXT=ffc

DESTDIR=${DEB_DESTDIR}
DESTBIN=$(DESTDIR)usr/bin
DESTLIB=$(DESTDIR)usr/lib
DESTMAN=$(DESTDIR)usr/share/man
DESTDOC=$(DESTDIR)usr/share/doc/${EXT}
MANSUBDIRS=man1 man3 ja/man1 ja/man3

pre-build::
	mkdir -p ${DESTBIN}
	mkdir -p ${DESTLIB}
	mkdir -p ${DESTMAN}
	@for i in ${MANSUBDIRS} ; do \
	  mkdir -p ${DESTMAN}/$${i} ; \
	done	   
	mkdir -p ${DESTDOC}

install/${EXT}::
	${MAKE} install DESTDIR=${DEB_DESTDIR}
	${MAKE} install-doc DESTDIR=${DEB_DESTDIR}

## ffc 5.0-4

=== debian/changelog ===
ffc (5.0-4) unstable; urgency=low

  * Remove some symbolic link in /usr/share/man, these are not exist. 

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Wed, 24 Oct 2007 15:35:22 +0900

=== debian/control ===
Source: ffc
Section: devel
Priority: optional
Build-Depends: debhelper(>=5.0), cdbs
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Standards-Version: 3.7.2

Package: ffc
Architecture: any
Depends: ${shlibs:Depends}
Description: Fujitsu Fortran&C Compiler (installer)
 Installer for Fujitsu Fortran&C Compiler. This package 
 produces symbolic links of original files to a normal debian directories, 
 such as /usr/bin, /usr/lib, /usr/share/man and /usr/share/doc. 
 You should install FFC package to a normal directory (/usr/FFC)
 before installing this packages.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 DESTMAN=$(DESTDIR)usr/share/man
 DESTDOC=$(DESTDIR)usr/share/doc/${EXT}
 MANSUBDIRS=man1 man3 ja/man1 ja/man3
+MAN_EXCLUDE=dvbcsd.3f dvbcse.3f dvccvf.3f dvhevp.3f dvldiv.3f dvlspx.3f dvmbv.3f dvmcf2.3f dvmcst.3f dvmrf2.3f dvmsnt.3f dvrcvf.3f dvsevp.3f dvspll.3f dvsplx.3f
 
 pre-build::
 	mkdir -p ${DESTBIN}
@@ -23,3 +24,9 @@
 install/${EXT}::
 	${MAKE} install DESTDIR=${DEB_DESTDIR}
 	${MAKE} install-doc DESTDIR=${DEB_DESTDIR}
+	@for i in ${MANSUBDIRS} ; do \
+	  for j in ${MAN_EXCLUDE} ; do \
+	    rm -f ${DESTMAN}/$${i}/$${j} ; \
+          done ; \
+	done	   
+

## ffc 2016.1.0

=== debian/changelog ===
ffc (2016.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove swig3.0 from Build-Depends.
    - Bump minimum required version for python-fiat, python-instant and
      python-ufl to 1.6.0.
  * debian/patches/fix-ufc-config.patch: Removed (fixed upstream).
  * Add patch for setup.py for not using --root when getting the
    installation prefix.
  * Add lintian override 'ffc source: source-is-missing' for some .js
    files that are not used and repacking would be overkill.

 -- Johannes Ring <johannr@simula.no>  Mon, 27 Jun 2016 09:13:14 +0200

ffc (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Update VCS fields after the move to Git.
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Apr 2016 10:20:19 +0800

=== debian/control ===
Source: ffc
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.7), python-numpy
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: http://fenicsproject.org
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/ffc.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/ffc.git

Package: python-ffc
Architecture: any
Depends: python-fiat (>= 2016.1.0),
 python-instant (>= 2016.1.0),
 python-ufl (>= 2016.1.0),
 python-numpy,
 python-six,
 ${python:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ufc, python-ufc
Conflicts: ufc, python-ufc
Replaces: ufc, python-ufc
Description: compiler for finite element variational forms
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and efficient
 evaluation of general multilinear forms (variational formulations) for FEniCS.
 FFC functions as the form evaluation system for DOLFIN but can also be used to
 compile forms for other systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C or C++) 
 for the evaluation of a multilinear form given in mathematical notation. This
 new approach to form evaluation makes it possible to combine generality with
 efficiency; the form can be given in mathematical notation and the generated
 code is as efficient as hand-optimized code.
